Bug 15097 - process zombied and produce a coredump file.
process zombied and produce a coredump file.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
6.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-02 01:53 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 05:09:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-08-02 01:53:14 EDT
Sir:
	I need your help now.
	I use dlopen() loading a special dynamic library and use dlclose
() closing it.
	But,the process received signal 11 and zombied after it had been 
executed for some hours.I get the core file
and attempt debuging it using gdb.
	the output is:
###########################################################################
##############
#gdb process_name core
Reading symbols 
from /opt/WebSphere/CommerceSuite/bin/libserver_objs.so...done.
Reading symbols 
from /opt/WebSphere/CommerceSuite/bin/libdirectory.so...done.
Reading symbols 
from /opt/WebSphere/CommerceSuite/bin/libwebtokens.so...done.
Reading symbols 
from /opt/WebSphere/CommerceSuite/bin/libnotification.so...done.
Reading symbols from /opt/netdata/lib/libdtw.so...done.
Reading symbols from /opt/WebSphere/CommerceSuite/bin/libldap.so.1...done.
Reading symbols from /opt/netdata/lib/libdtwle.so...done.
Reading symbols from /opt/netdata/lib/libdtwmem.so...done.
Reading symbols 
from /opt/WebSphere/CommerceSuite/bin/libadmin_objs.so...done.
Reading symbols from /opt/WebSphere/CommerceSuite/bin/libbilling.so...done.
Reading symbols from /opt/WebSphere/CommerceSuite/bin/libon.so...done.
Reading symbols 
from /opt/WebSphere/CommerceSuite/bin/libcsp_admin.so...done.
Reading symbols 
from /opt/WebSphere/CommerceSuite/bin/libadmin_cmd.so...done.
Reading symbols 
from /opt/WebSphere/CommerceSuite/bin/libmassimpt.so...done.
Reading symbols 
from /opt/WebSphere/CommerceSuite/bin/libnc3_utilmsgs.so...done.
Reading symbols 
from /opt/WebSphere/CommerceSuite/bin/libIXXML4C2_3.so...done.
Reading symbols from /opt/WebSphere/CommerceSuite/bin/libicu-uc.so...done.
#0  0x4000771b in _dl_lookup_symbol (undef_name=0x4115b504 "_._6String", 
ref=0xbffff190, symbol_scope=0x80f145f, 
    
reference_name=0x80f1280 "/opt/WebSphere/CommerceSuite/bin/libbilling.so", 
reloc_type=7) at do-lookup.h:70
70	do-lookup.h: No such file or directory.
(gdb) frame
#0  0x4000771b in _dl_lookup_symbol (undef_name=0x4115b504 "_._6String", 
ref=0xbffff190, symbol_scope=0x80f145f, 
    
reference_name=0x80f1280 "/opt/WebSphere/CommerceSuite/bin/libbilling.so", 
reloc_type=7) at do-lookup.h:70
70	in do-lookup.h
Current language:  auto; currently c
(gdb) info stack
#0  0x4000771b in _dl_lookup_symbol (undef_name=0x4115b504 "_._6String", 
ref=0xbffff190, symbol_scope=0x80f145f, 
    
reference_name=0x80f1280 "/opt/WebSphere/CommerceSuite/bin/libbilling.so", 
reloc_type=7) at do-lookup.h:70
/**************************
 Symbol "_._6String" can be finded using 'nm -l libbilling.so | grep 
_._6String'.
	output is 00006728 W _._6String /opt/.../ldh_string.h:501
	the 501 line of the ldh_string.h file is destructor function.
****************************/
#1  0x4000a823 in fixup (l=0x80f12b8, reloc_offset=26) at dl-runtime.c:88
#2  0x4000a970 in _dl_runtime_resolve () at dl-runtime.c:182
#3  0x4115de9d in __do_global_dtors_aux () 
from /opt/WebSphere/CommerceSuite/bin/libbilling.so
#4  0x411616cd in ?? () from /opt/WebSphere/CommerceSuite/bin/libbilling.so
#5  0x40ad2ec9 in _dl_close (map=0x80f4728) at dl-close.c:77
#6  0x409d3430 in dlclose_doit (handle=0x80f4728) at dlclose.c:26
#7  0x4000ac3b in _dl_catch_error (errstring=0x80cc788, operate=0x409d3418 
<dlclose_doit>, args=0x80f4728) at dl-error.c:141
#8  0x409d38b9 in _dlerror_run (operate=0x409d3418 <dlclose_doit>, 
args=0x80f4728) at dlerror.c:125
#9  0x409d33fe in dlclose (handle=0x80f4728) at dlclose.c:32
#10 0x40109aa9 in OS_Dll::Free (this=0x80f45b8) at os.cpp:1997/* Free(): 
this function only call dlclose() */
#11 0x40108a3e in OS::FreeLibrary (libname=@0x8094114) at os.cpp:1384
#12 0x4011e725 in NC_DllContent::UnLoad (this=0x8094110) 
at ../../include/common/registry.h:298
#13 0x4011ba04 in NC_DllContent::~NC_DllContent (this=0x8094110, 
__in_chrg=3) at registry.cpp:85
#14 0x4004fbc0 in NC_PList::Clean (this=0x806a6f4, del=true) at 
ldh_list.cpp:66
#15 0x8056238 in NC_PList::~NC_PList (this=0x806a6f4, __in_chrg=2) 
at ../../include/containers/ldh_list.h:73
#16 0x40163a69 in TemplateNC_PList<NC_DllContent, 
String>::~TemplateNC_PList (this=0x806a6f4, __in_chrg=2) 
at ../../include/containers/ldh_list.h:176
#17 0x4011c1bb in NC_Registry::~NC_Registry (this=0x806a6f0, __in_chrg=3) 
at registry.cpp:166
#18 0x40113a5c in NC_CommandManager::~NC_CommandManager (this=0x806a6f0, 
__in_chrg=3) at cmd_manager.cpp:246
#19 0x40113c2c in NC_CommandManagerSentry::~NC_CommandManagerSentry 
(this=0xbffff4af, __in_chrg=2) at cmd_manager.cpp:268
#20 0x805185b in main (argc=5, argv=0xbffff624) at server.cpp:760
(gdb) 
###########################################################################
##############

I compile the C++ source code using 'g++ -shared -o aaa.so'.

Platform:
	RedHat 6.2
	kernel: kernel-2.2.14-5.0
	gcc: egcs-2.91.66
	glibc: glibc-2.1.3
	
I am hurry.Can you give some hints?

Dai Baohua write.
Comment 1 Ulrich Drepper 2003-04-21 20:33:45 EDT
Unless you produce a source file which does not rely on third party objects
(which are the much more likely source of problem) and which shows the problem
on RHL9 there isn't anything we can do.
Comment 2 Ulrich Drepper 2003-10-03 05:05:40 EDT
No reply in almost 6 months.  Reopen in case there is a problem with any
supported code.

Note You need to log in before you can comment on or make changes to this bug.